# Enum Class VulkanPrimitiveTopology

java.lang.Object
java.lang.Enum<VulkanPrimitiveTopology>
com.io7m.jcoronado.api.VulkanPrimitiveTopology

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanPrimitiveTopology>`, `Constable`

public enum VulkanPrimitiveTopology extends Enum<VulkanPrimitiveTopology> implements VulkanEnumIntegerType
Supported primitive topologies.

See Also:
  - "VkPrimitiveTopology"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_PRIMITIVE_TOPOLOGY_LINE_LIST`
  VK_PRIMITIVE_TOPOLOGY_LINE_LIST
  `VK_PRIMITIVE_TOPOLOGY_LINE_LIST_WITH_ADJACENCY`
  VK_PRIMITIVE_TOPOLOGY_LINE_LIST_WITH_ADJACENCY
  `VK_PRIMITIVE_TOPOLOGY_LINE_STRIP`
  VK_PRIMITIVE_TOPOLOGY_LINE_STRIP
  `VK_PRIMITIVE_TOPOLOGY_LINE_STRIP_WITH_ADJACENCY`
  VK_PRIMITIVE_TOPOLOGY_LINE_STRIP_WITH_ADJACENCY
  `VK_PRIMITIVE_TOPOLOGY_PATCH_LIST`
  VK_PRIMITIVE_TOPOLOGY_PATCH_LIST
  `VK_PRIMITIVE_TOPOLOGY_POINT_LIST`
  VK_PRIMITIVE_TOPOLOGY_POINT_LIST
  `VK_PRIMITIVE_TOPOLOGY_TRIANGLE_FAN`
  VK_PRIMITIVE_TOPOLOGY_TRIANGLE_FAN
  `VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST`
  VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST
  `VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST_WITH_ADJACENCY`
  VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST_WITH_ADJACENCY
  `VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP`
  VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP
  `VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP_WITH_ADJACENCY`
  VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP_WITH_ADJACENCY

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanPrimitiveTopology`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanPrimitiveTopology[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_PRIMITIVE_TOPOLOGY_POINT_LIST

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_POINT_LIST
    VK_PRIMITIVE_TOPOLOGY_POINT_LIST

  - ### VK_PRIMITIVE_TOPOLOGY_LINE_LIST

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_LINE_LIST
    VK_PRIMITIVE_TOPOLOGY_LINE_LIST

  - ### VK_PRIMITIVE_TOPOLOGY_LINE_STRIP

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_LINE_STRIP
    VK_PRIMITIVE_TOPOLOGY_LINE_STRIP

  - ### VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST
    VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST

  - ### VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP
    VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP

  - ### VK_PRIMITIVE_TOPOLOGY_TRIANGLE_FAN

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_TRIANGLE_FAN
    VK_PRIMITIVE_TOPOLOGY_TRIANGLE_FAN

  - ### VK_PRIMITIVE_TOPOLOGY_LINE_LIST_WITH_ADJACENCY

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_LINE_LIST_WITH_ADJACENCY
    VK_PRIMITIVE_TOPOLOGY_LINE_LIST_WITH_ADJACENCY

  - ### VK_PRIMITIVE_TOPOLOGY_LINE_STRIP_WITH_ADJACENCY

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_LINE_STRIP_WITH_ADJACENCY
    VK_PRIMITIVE_TOPOLOGY_LINE_STRIP_WITH_ADJACENCY

  - ### VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST_WITH_ADJACENCY

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST_WITH_ADJACENCY
    VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST_WITH_ADJACENCY

  - ### VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP_WITH_ADJACENCY

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP_WITH_ADJACENCY
    VK_PRIMITIVE_TOPOLOGY_TRIANGLE_STRIP_WITH_ADJACENCY

  - ### VK_PRIMITIVE_TOPOLOGY_PATCH_LIST

    public static final VulkanPrimitiveTopology VK_PRIMITIVE_TOPOLOGY_PATCH_LIST
    VK_PRIMITIVE_TOPOLOGY_PATCH_LIST

- ## Method Details

  - ### values

    public static VulkanPrimitiveTopology[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanPrimitiveTopology valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant